Add config and dependency-injection requires
[airlibre] / composer.json
1 {
2 "type": "project",
3 "name": "rapsys/airlibre",
4 "description": "Open air booking system",
5 "license": "AGPL-3.0-or-later",
6 "require": {
7 "php": "^7.1.3",
8 "ext-ctype": "*",
9 "ext-iconv": "*",
10 "rapsys/airbundle": "dev-master",
11 "rapsys/packbundle": "dev-master",
12 "rapsys/userbundle": "dev-master",
13 "symfony/config": "4.3.*",
14 "symfony/console": "4.3.*",
15 "symfony/dependency-injection": "4.3.*",
16 "symfony/dotenv": "4.3.*",
17 "symfony/flex": "^1.3.1",
18 "symfony/framework-bundle": "4.3.*",
19 "symfony/process": "4.3.*",
20 "symfony/security": "4.3.*",
21 "symfony/yaml": "4.3.*"
22 },
23 "require-dev": {
24 },
25 "config": {
26 "preferred-install": {
27 "*": "dist"
28 },
29 "sort-packages": true
30 },
31 "autoload": {
32 "psr-4": {
33 "App\\": "src/"
34 }
35 },
36 "autoload-dev": {
37 "psr-4": {
38 "App\\Tests\\": "tests/"
39 }
40 },
41 "replace": {
42 "paragonie/random_compat": "2.*",
43 "symfony/polyfill-ctype": "*",
44 "symfony/polyfill-iconv": "*",
45 "symfony/polyfill-php71": "*",
46 "symfony/polyfill-php70": "*",
47 "symfony/polyfill-php56": "*"
48 },
49 "repositories": [
50 {
51 "type": "package",
52 "package": {
53 "name": "rapsys/userbundle",
54 "version": "dev-master",
55 "source": {
56 "type": "git",
57 "url": "https://rapsys@git.rapsys.eu/userbundle",
58 "reference": "master"
59 },
60 "autoload": {
61 "psr-4": {
62 "Rapsys\\UserBundle\\": ""
63 }
64 }
65 }
66 },
67 {
68 "type": "package",
69 "package": {
70 "name": "rapsys/packbundle",
71 "version": "dev-master",
72 "source": {
73 "type": "git",
74 "url": "https://rapsys@git.rapsys.eu/packbundle",
75 "reference": "master"
76 },
77 "autoload": {
78 "psr-4": {
79 "Rapsys\\PackBundle\\": ""
80 }
81 }
82 }
83 },
84 {
85 "type": "package",
86 "package": {
87 "name": "rapsys/airbundle",
88 "version": "dev-master",
89 "source": {
90 "type": "git",
91 "url": "https://rapsys@git.rapsys.eu/airbundle",
92 "reference": "master"
93 },
94 "autoload": {
95 "psr-4": {
96 "Rapsys\\AirBundle\\": ""
97 }
98 }
99 }
100 }
101 ],
102 "scripts": {
103 "auto-scripts": {
104 "cache:clear": "symfony-cmd",
105 "assets:install --symlink --relative %PUBLIC_DIR%": "symfony-cmd"
106 },
107 "post-install-cmd": [
108 "@auto-scripts"
109 ],
110 "post-update-cmd": [
111 "@auto-scripts"
112 ]
113 },
114 "conflict": {
115 "symfony/symfony": "*"
116 },
117 "extra": {
118 "symfony-assets-install": "relative",
119 "incenteev-parameters": {
120 "file": "app/config/parameters.yml",
121 "keep-outdated": true
122 },
123 "symfony": {
124 "allow-contrib": false,
125 "require": "4.3.*"
126 }
127 }
128 }